org.jbpm.services.api.query.model

## Enum QueryDefinition.Target

- java.lang.Object
- - java.lang.Enum<QueryDefinition.Target>
  - - org.jbpm.services.api.query.model.QueryDefinition.Target

- All Implemented Interfaces:
    Serializable, Comparable<QueryDefinition.Target>
  Enclosing interface:
    QueryDefinition

      public static enum QueryDefinition.Target
      extends Enum<QueryDefinition.Target>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BA_TASK`
    `CUSTOM`
    `FILTERED_BA_TASK`
    `FILTERED_PO_TASK`
    `FILTERED_PROCESS`
    `JOBS`
    `PO_TASK`
    `PROCESS`
    `TASK`
    `USER_GROUPS_TASK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryDefinition.Target` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static QueryDefinition.Target[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PROCESS

          public static final QueryDefinition.Target PROCESS

    - #### TASK

          public static final QueryDefinition.Target TASK

    - #### BA_TASK

          public static final QueryDefinition.Target BA_TASK

    - #### PO_TASK

          public static final QueryDefinition.Target PO_TASK

    - #### JOBS

          public static final QueryDefinition.Target JOBS

    - #### FILTERED_PROCESS

          public static final QueryDefinition.Target FILTERED_PROCESS

    - #### FILTERED_BA_TASK

          public static final QueryDefinition.Target FILTERED_BA_TASK

    - #### FILTERED_PO_TASK

          public static final QueryDefinition.Target FILTERED_PO_TASK

    - #### USER_GROUPS_TASK

          public static final QueryDefinition.Target USER_GROUPS_TASK

    - #### CUSTOM

          public static final QueryDefinition.Target CUSTOM

  - ### Method Detail

    - #### values

          public static QueryDefinition.Target[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryDefinition.Target c : QueryDefinition.Target.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryDefinition.Target valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.